/*
SiteApex 10

This stylesheet contains styles only specific to the admin interface
Admin structure/interface
left panel entirely
top bar entirely

font-family: 'Source Sans Pro', sans-serif;
font-family: 'Roboto', sans-serif;

_c is short for _container


*/

html,body {
	height: 100%;
}

body {
	margin: 0px;
	overflow: hidden;
}


/* main outer container. LEFT | Right inner */
.sa_container {
	display: flex;
	flex-direction: row;
	height: 100vh;
	width: 100%;
	overflow: hidden;
}

/* left column container */
.sa_left_c {
	display: flex;
	flex-direction: column;
	/*min-width: 48px;*/
	width: 280px;
	/*max-width: 280px;*/
	/*color: white;*/
	background-color: #efefef;
	position: relative;
	z-index: 1000;
}



/* flex container for the nav area */
.sa_nav_c {
	flex: 1 1 auto;
  /*overflow-y: auto;*/
  height: 100px;
  display: flex;
  flex-direction: row;
}

.sa_nav_inner_c {
	display: flex;
	flex-direction: row;
	height: 100%;
	
}

.sa_nav_left_c {
	width: 48px;
	min-width: 48px;
	display: flex;
	flex-direction: column;
	/*background-color: #003E72;*/
    background-color: #092444; /*CP Change*/
}

.sa_nav_sections {
	flex: 1 1 auto;
	height: 100px; 
	display: flex;
	flex-direction: column;
}


.sa_section_c {
	width: 100%;
	height: 48px;
	display: block;
	position: relative;
	align-items: center;
	align-content: center;
}

.sa_section {
	cursor: pointer;
	text-align: center;
	
	/*color: #003E72;*/
	color: white;
	position: absolute;
	top: 0px;
	bottom: 0px;
	right: 0px;
	left: 0px;
	transition: .2s;
    border-radius: 4px;/*CP Change*/
    margin: 8px;/*CP Change*/
}

.sa_section_it_c > .sa_icon.size_28 {
    font-size: 22px;
}

.sa_section:hover {
	/*background-color: white;*/
	background-color: #146AFF;
}

.sa_section_active {
	/*color: #146AFF;*/
	background-color: #146AFF;
}

/*
.sa_section_active:before {
	content:'';
	position:absolute;
	top: 0px;
	bottom: 0px;
	left:0px;
	width: 4px;
	background-color: white;
}
/* /*CP Change*/

/* Tooltip container */
.sa_section_it_c {
	/*padding-top: 8px;
  position: relative;
  display: inline-block;*/
    padding-top: 4px;
  position: absolute;
	top: 0px;
	bottom: 0px;
	right: 0px;
	left: 0px;
}

/* Tooltip text */
.sa_section_it_c .sa_tooltiptext {
  visibility: hidden;
  opacity: 0;
  width: auto;
  background-color: #545454;
  color: #fff;
  text-align: center;
  padding: 10px;
  font-size: 12px;
 
  /* Position the tooltip text - see examples below! */
  position: absolute;
  z-index: 1000;
  /*top: -5px;
  left: 130%; */
  top: 7px;
  left: 35px;
  transition: left .4s, opacity .2s;
}

.sa_section_it_c:hover .sa_tooltiptext {
 /*transition: opacity 0s !important;*/
}

/* Show the tooltip text when you mouse over the tooltip container */
/*.tooltip:hover .tooltiptext { */
.sa_tooltiptext_visible {
  visibility: visible !important;
  opacity: 1 !important;
  left: 44px !important;
 
}
.sa_section_it_c .sa_tooltiptext::after {
  content: " ";
  position: absolute;
  top: 50%;
  right: 100%; /* To the left of the tooltip */
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent #545454 transparent transparent;
}














.sa_nav_pin, .sa_nav_pin_secondary {
	/*background: #EFEFEF;*/
    background-color: #003E72; 
    color: #fff; /* CP change */
	width: 15px;
	height: 24px;
	position: absolute;
	top: 0px;
	right: -21px;
	border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
  padding: 3px;
  cursor: pointer;
  transition: .2s;
  
}

.sa_nav_pin_secondary {
	display: none;
	/*color: red;*/ /*CP Change*/
	
}

.sa_nav_pin .sa_icon, .sa_nav_pin_secondary .sa_icon {
	margin-left: -6px;
}

.sa_nav_pin:hover, .sa_nav_pin_secondary:hover {
	background-color: #146AFF;
	color: white;
}

.sa_nav_collapsed .sa_icon {
	transform: scaleX(-1);
}






.sa_nav_right_c {
	display: flex;
	/*width: 100%;*/
	

}

.sa_nav_r {
	display: flex;
	flex-direction: column;
	width: 232px;
	position: relative;
	/*background-color: #EFEFEF;*/
    background-color: #003E72; 
    color: #fff; /* CP Change*/
	transition: .2s;
	padding-top: 5px;
	padding-right: 5px;
}

.sa_nav_r_hover {
	position: absolute;
  height: 100vh;
  left: 48px;
  
  
}

.sa_nav_outer_c {
	flex: 1 1 auto;
	height: 100px;
	/*padding: 16px 24px 16px 16px;
	overflow-y: auto;
	overflow-x: hidden;*/
			overflow-y: auto;
			width: 100%;
}

/*
::-webkit-scrollbar the scrollbar.
::-webkit-scrollbar-button the buttons on the scrollbar (arrows pointing upwards and downwards).
::-webkit-scrollbar-thumb the draggable scrolling handle.
::-webkit-scrollbar-track the track (progress bar) of the scrollbar.
::-webkit-scrollbar-track-piece the track (progress bar) NOT covered by the handle.
::-webkit-scrollbar-corner the bottom corner of the scrollbar, where both horizontal and vertical scrollbars meet.
::-webkit-resizer the draggable resizing handle that appears at the bottom corner of some elements.
*/

/* global scrollbar styles in sa_common.css so it also applies to frames in the skyhook */
.sa_nav_outer_c::-webkit-scrollbar  { width: 10px; cursor: pointer; }
.sa_nav_outer_c::-webkit-scrollbar-button  { display: none; }
.sa_nav_outer_c::-webkit-scrollbar-thumb  { background-color: rgba(255,255,255,.6); cursor: pointer; }
.sa_nav_outer_c::-webkit-scrollbar-thumb:hover  { background-color: rgba(255,255,255,1); }
.sa_nav_outer_c::-webkit-scrollbar-track  { background-color: rgba(255,255,255,.3); }
.sa_nav_outer_c::-webkit-scrollbar-track-piece  { ;  }
.sa_nav_outer_c::-webkit-scrollbar-corner  { }
.sa_nav_outer_c::-webkit-resizer  { }
	
	



/* the main class of a nav section menu */
.sa_navlist {
	display: none;
}

.sa_navlist_active {
	display: block;
}


.sa_section_title {
	text-transform: uppercase;
	font-weight: 600;
	padding: 16px;
	/*border-bottom: 1px solid #d7d7d7;*/ /*CP Change*/
    font-size: 18px; /*CP Change*/
    letter-spacing: .035em; /*CP Change*/
}

.sa_nav_modsinuse {
	margin-top: 30px;
	text-transform: uppercase;
	font-weight: 600;
	padding: 16px 6px;/*CP Change*/
	/*border-bottom: 1px solid #d7d7d7;*/ /*CP Change*/
    font-size: 18px; /*CP Change*/
    letter-spacing: .035em; /*CP Change*/
}

/* container around each nav item list */
.sa_nitems_c {
    padding: 0px 10px;/*CP Change*/
}

/* div containing an <a> tag of a main menu item */
.sa_nitem {
	padding-top: 2px;
}

.sa_nitem:not(.sa_nitem_active)
{
	padding-bottom: 2px;
}



.sa_sub_nitems_c {
	position: relative;
	/*box-shadow: -0px 7px 9px -7px rgb(100 100 100 / 70%) inset;
	-webkit-box-shadow: -0px 7px 9px -7px rgb(100 100 100 / 70%) inset;
	-moz-box-shadow: -0px 7px 9px -7px rgba(100,100,100,0.70) inset;*/ /*CP Change*/
	/*padding-left: 30px;*/
	/*background-color: #f9f9f9; /*CP Change*/
	/*border-bottom: 1px solid #e0e0e0;*/ /*CP Change*/
    font-size: 14px; /*CP Change*/
    border-left: 1px solid #146AAF;
    border-bottom: 1px solid #146AAF;
    border-right: 1px solid #146AAF;
    background-color: #092444;
    border-radius: 0px 0px 4px 4px;
    margin-bottom: 2px;
}

/*
.sa_sub_nitems_c:before {
	content: "";
	
	position: absolute;
	left:0px;
	right: 0px;
	top: 0px;
	
	box-shadow: -0px 7px 9px -7px rgb(100 100 100 / 70%) inset;
	-webkit-box-shadow: -0px 7px 9px -7px rgb(100 100 100 / 70%) inset;
	-moz-box-shadow: -0px 7px 9px -7px rgba(100,100,100,0.70) inset;
	
	
}
*/

.sa_sub_nitem {
 /*background-color: rgba(255,255,255,0.4);*/
 /*background-color: #f9f9f9;*/
 
}

.sa_sub_nitem:first-child {
 /*background-color: rgba(255,255,255,0.4);*/
 /*background-color: #f9f9f9;*/
 
}


.sa_nitem a, .sa_nitem a:active, .sa_nitem a:visited,
.sa_sub_nitem a, .sa_sub_nitem a:active, .sa_sub_nitem a:visited {
	display: block;
	text-decoration: none;
	cursor: pointer;
	/*padding: 10px 10px 10px 20px;*/
    padding: 10px 15px; /*CP Change*/
	/*color: black;*/
    color: #fff; /*CP Change*/
	transition: .2s;
    border-radius: 4px;/*CP Change*/
    /*margin-bottom: 5px;*/ /*CP Change*/
}

.sa_sub_nitem a, .sa_sub_nitem a:active, .sa_sub_nitem a:visited {
	padding-left: 30px;
	border-radius: 0px;
    /*margin-left: 20px;*/ /*CP Change*/
}

.sa_nitem a:hover, .sa_sub_nitem a:hover {
	/*color: #146AFF;*/
    color: #fff;
    /*padding: 10px 15px;*//*CP Change*/
    background-color: #146AFF;/*CP Change*/
}

.sa_nitem a:hover {
	/*background-color: white;*/
    background-color: #146AFF; /*CP Change*/
}

.sa_nitem_active a, .sa_nitem_active a:active, .sa_nitem_active a:visited {
	background-color: #146AFF;
	color: white;
}

.sa_nitem_active a:hover {
	/*background-color: #146AFF;
	color: white;*/
    background-color: #FFFFFF;/*CP Change*/
    color: #146AFF;/*CP Change*/
}

.sa_sub_nitems_c > .sa_sub_nitem a:hover {
    color: #fff;
    /*padding: 10px 15px;*//*CP Change*/
    background-color: #146AFF;/*CP Change*/    
}



.sa_nitem_active.sa_nitem_hassub a {
	border-radius: 4px 4px 0px 0px !important;
	
}




.sa_nav_brandicon_c, .sa_lb_logo_c {
	min-height: 55px;
	max-height: 55px;
	width: 100%;
	/*border-top: 1px solid #d7d7d7;*/
	position: relative;
	overflow: hidden;
}

.sa_lb_logo_c {
	/*border-top: 1px solid #d7d7d7;*//*CP Change*/  
    /*background-color: #092444;*/
    /*CP Change*/  
}
.sa_lb_logo {
	/*background-image: url(../images/sa_blue.png);*/
    background-image: url(../images/sa_white.png);/*CP Change*/
	background-repeat: no-repeat;
	background-size: 115px 30px;
	height: 100%;
	margin: 16px 8px 8px 16px;
}

.sa_lb_version {
	position: absolute;
	top: 0px;
	right: 0px;
	bottom: 0px;
	width: 55px;
	cursor: pointer;
	/*font-size: 12px;*/ /*CP Change*/
	transition: .2s;
	text-align: center;
	padding-top: 20px;
	/*color: #146AFF;*/
    color: #fff;/*CP Change*/
}

.sa_lb_version:hover {
	color: white;
	background-color: #146AFF;
	
}






/*************************
Right side styles
**************************/


.sa_right_c {
	flex: 1 1 auto;
	display: flex;
	flex-direction: column;
	overflow: hidden;
    background: #f7f7f7; /*CP change*/
}


/* right side container vertical flex containing top bar and main area */
.sa_right_inner_c {
	flex: 1 1 auto;
	display: flex;
	flex-direction: column;
}

.sa_topbar_c {
	min-height: 60px;
	height: 60px;
	max-height: 60px;
	display: flex;
	justify-content: flex-end;
	position: relative;
	/*border-bottom: 1px solid red;*/
	padding-right: 10px;
    /*background: #fff;*/ /*CP change*/
    border-bottom: 1px solid #f7f7f7; /*CP Change*/
    transition:.2s;
}

.sa_topbar_c_scroll {
	background: #fff;
	
	box-shadow: -2px 4px 9px -7px rgba(100,100,100,0.40);
		-webkit-box-shadow: -2px 4px 9px -7px rgba(100,100,100,0.40);
		-moz-box-shadow: -2px 4px 9px -7px rgba(100,100,100,0.40);
		
}

.sa_topbar_item {
	height: 100%;
	padding-right: 15px;
	box-sizing: border-box;
	display: flex;
	align-items: center;
}

.sa_topbar_item a {
	display: flex;
	align-items: center;
}

.sa_topbar_item i {
	padding-left: 10px;
}

.sa_topbar_profile {
	/*border-left: 1px solid #efefef;*/
	position: relative;
	display: flex; align-items:center;
}

.sa_topbar_profile:hover {
	cursor:pointer;
}

.sa_topbar_profile:before {
	content: "";
	position: absolute;
	background: #dddddd;
	width: 1px;
	top: 15px;
	bottom: 15px;
}

.sa_topbar_proname {
	display: inline-block;
	margin-left: 15px;
	margin-right: 10px;
	display: flex; align-items:center;
}

.sa_topbar_proname i {
	color: #146AFF;
}

.sa_topbar_proname:hover i {
	color: #000000;
}


.sa_topbar_proimg {
	border-radius: 50%;
	height: 30px;
	/*width: auto;*/
	width: 30px;
	object-fit: cover;
}

.sa_profile_pop {
	position: absolute;
	top: 50px;
	width: 180px;
	cursor: auto;
	transition:.2s;
	right: 50px;
	min-height: 50px;
	padding: 10px;
	border-radius: 4px;
	border: 1px solid #cccccc;
	background-color: white;
	
}

.sa_profile_pop_item {
	/*padding-bottom:5px;
	
	display: flex;
	align-items: center;
	width: 100%;*/
}

.sa_profile_pop_item a {
	display: block;
	
	padding: 8px;
	
}

.sa_profile_pop_item a i {
padding-left: 0px;
padding-right: 3px;
margin-top: -2px;
}
.sa_profile_pop_item a:hover {
	background-color: #ddedfd;
	
}

.sa_topbar_help {

}

.sa_topbar_www {

}





.sa_main_c {
	/*background-color: #F5F5F5;
	margin: 40px;*/
	padding: 0px 40px 20px 40px;
    /*padding: 40px 60px;  CP Change*/
	flex: auto;
	overflow-y: auto;
	height: 100px; /*required for overflow to trigger, but overridden by flexing */
}

.sa_header_c {
	
}

.sa_header_c h1 i {
	color: #146AFF;
	vertical-align: middle;
	padding-bottom: 9px;
}


.sa_header_buttons_c {
	width: 95%;
	max-width: 1300px;
	text-align: left;  /*was right */
	padding-right: 20px;
	min-height: 1px;
	margin-bottom: 35px; /* was 40 */
}

.sa_content {
	clear: both;
	
}




.profile {
    padding: 0px 16px;
}
.user_icon {
    width: 38px;
    height: 38px;
    border-radius: 50%;
    background-color: #000;
}



.sa_overlay_load {
	position: absolute;
	left: 0px;
	top: 0px;
	right: 0px;
	bottom: 0px;
	/*border: 10px solid red;*/
	
	background-color: rgba(255,255,255,.9);
	
	display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
          align-items: center;
  -webkit-box-pack: center;
          justify-content: center;
   z-index: 2000;
   
   transition: opacity .2s;
}

.sa_overlay_loadtext {
	font-size: 40px;
	/*font-weight: bold;*/
	margin-left: -40px;
	margin-bottom: 20px;
}


.spinner {
  -webkit-animation: rotator 1.4s linear infinite;
          animation: rotator 1.4s linear infinite;
}

@-webkit-keyframes rotator {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(270deg);
            transform: rotate(270deg);
  }
}

@keyframes rotator {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(270deg);
            transform: rotate(270deg);
  }
}
.path {
  stroke-dasharray: 187;
  stroke-dashoffset: 0;
  -webkit-transform-origin: center;
          transform-origin: center;
  -webkit-animation: dash 1.4s ease-in-out infinite, colors 5.6s ease-in-out infinite;
          animation: dash 1.4s ease-in-out infinite, colors 5.6s ease-in-out infinite;
}

@-webkit-keyframes colors {
  0% {
    stroke: #146AFF;
  }
  25% {
    stroke: #146AFF;
  }
  50% {
    stroke: #146AFF;
  }
  75% {
    stroke: #146AFF;
  }
  100% {
    stroke: #146AFF;
  }
}

@keyframes colors {
  0% {
    stroke: #146AFF;
  }
  25% {
    stroke: #146AFF;
  }
  50% {
    stroke: #146AFF;
  }
  75% {
    stroke: #146AFF;
  }
  100% {
    stroke: #146AFF;
  }
}
@-webkit-keyframes dash {
  0% {
    stroke-dashoffset: 187;
  }
  50% {
    stroke-dashoffset: 46.75;
    -webkit-transform: rotate(135deg);
            transform: rotate(135deg);
  }
  100% {
    stroke-dashoffset: 187;
    -webkit-transform: rotate(450deg);
            transform: rotate(450deg);
  }
}
@keyframes dash {
  0% {
    stroke-dashoffset: 187;
  }
  50% {
    stroke-dashoffset: 46.75;
    -webkit-transform: rotate(135deg);
            transform: rotate(135deg);
  }
  100% {
    stroke-dashoffset: 187;
    -webkit-transform: rotate(450deg);
            transform: rotate(450deg);
  }
}










.sa_skyhook_container {
	position: absolute;
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	
	z-index: 2000;
	
	overflow: hidden;
}

.sa_skyhook_overlay {
	position: absolute;
	z-index: 1;
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	background-color: rgba(0,0,0,.3);
	transition: opacity .2s;
	opacity: 0;
	cursor: pointer;
}


.sa_skyhook_inner {
	top: 0px;
	bottom: 0px;
	right: -810px;
	width: 800px;
	background-color: white;
	z-index: 2;
	position: absolute;
	-webkit-box-shadow: 0px 0px 8px 0px #000; 
	box-shadow: 0px 0px 8px 0px #000;
	transition: right .2s ease;
}

.sa_skyhook_close {
	position: absolute;
	top: 10px;
	left: 10px;
	/*padding: 5px;
	border: 1px solid red;*/
	cursor: pointer;
	z-index: 2;
	color: #146AFF;
	/*background-color: blue;*/
}

.sa_skyhook_close:hover {
	color: black;
}


.sa_skyhook_content {
	position: absolute;
	z-index: 1;
	top: 45px;
	bottom: 0px;
	left: 0px;
	right: 0px;
	padding: 0px 0px 0px 10px;
	/*background-color: red;*/
}

.sa_skyhook_open .sa_skyhook_inner {
	right: 0px !important;
}

.sa_skyhook_open .sa_skyhook_overlay {
	opacity: 1;
}













